Subject: Re: [PATCH] git-send-email: default value for "From:" field.

From: Timur Tabi <[email-masked]>
Date: Thu, 18 Jan 2007 14:39:06 -0600

Quy Tonthat wrote:
> If user hits enter at the prompt for
> "Who should the emails appear to be from?",
> the value for "From:" field was emptied instead of GIT_COMMITER_IDENT.
> 
> Signed-off-by: Quy Tonthat <[email-masked]>
> ---
> It seems the original code assumes readline to accept
> an extra argument for default value. I don't remember I ever encountered
> that feature from readline. Is there anything like that out there ?

I was thinking the same thing.  Almost every call to readline() in 
git-send-email is like that, so could your patch below could be expanded to 
include the other instances?

         $_ = $term->readline("Who should the emails be sent to? ",
                         "");

         $_ = $term->readline("What subject should the emails start with? ",
                 $initial_subject);

         $_= $term->readline("Message-ID to be used as In-Reply-To for the first 
email? ",
                 $initial_reply_to);

-- 
Timur Tabi
Linux Kernel Developer @ Freescale